package ch.zhaw.gartenverwaltung.backgroundtasks.email;

import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import java.net.Authenticator;
import java.util.Properties;

public record SmtpCredentials(
        String host,
        String port,
        String fromAddress,
        String username,
        String password,
        boolean startTLS
        ) {

    private Properties getProperties() {
        Properties properties = new Properties();
        properties.put("mail.smtp.host", host);
        properties.put("mail.smtp.port", port);
        properties.put("mail.smtp.auth", "true");
        properties.put("mail.smtp.starttls.enable", startTLS ? "true" : "false");
        return properties;
    }

    private javax.mail.Authenticator getAuthenticator() {
        return new javax.mail.Authenticator() {
            @Override
            protected PasswordAuthentication getPasswordAuthentication() {
                return new PasswordAuthentication(username, password);
            }
        };
    }

    public Session getSession() {
        return Session.getInstance(getProperties(), getAuthenticator());
    }



}
