package ch.zhaw.gartenverwaltung.types;

/**
 * Describes the cycle in which a {@link Plant} should be watered
 *
 * @param litersPerSqM How many litres of water per square metre of ground
 * @param interval The interval (days)
 * @param notes Notes on the cycle
 */
public record WateringCycle(
        int litersPerSqM,
        int interval,
        String[] notes
) {
}
